package com.diagbot.client.hystrix;


import com.diagbot.client.MedAppealInfoServiceClient;
import com.diagbot.dto.*;
import com.diagbot.vo.*;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.validation.Valid;
import java.util.List;
import java.util.Map;

/**
 * @description: 申诉远程调用熔断器
 * @author: zhoutg
 * @date: 2020/4/13 18:23
 */
@Component
@Slf4j
public class MedAppealInfoServiceHystrix implements MedAppealInfoServiceClient {

    @Override
    public CommonResult<Boolean> addAppealInfo(@Valid AddAppealInfoVO addAppealInfoVO) {
        log.error("【hystrix】调用{}异常", "addAppealInfo");
        return null;
    }

    @Override
    public CommonResult<List<GetReviewerDTO>> getReviewer(GetReviewerVO getReviewerVO) {
        log.error("【hystrix】调用{}异常", "getReviewer");
        return null;
    }

    @Override
    public CommonResult<Map<String, String>> getAppealOperationType(@Valid GetAppealOperationTypeVO getAppealOperationTypeVO) {
        log.error("【hystrix】调用{}异常", "getAppealOperationType");
        return null;
    }

    @Override
    public CommonResult<Boolean> cancelAppealInfo(@Valid CancelAppealInfoVO cancelAppealInfoVO) {
        log.error("【hystrix】调用{}异常", "cancelAppealInfo");
        return null;
    }

    @Override
    public CommonResult<GetAppealInfoDTO> getAppealInfo(GetAppealInfoVO getAppealInfoVO) {
        log.error("【hystrix】调用{}异常", "getAppealInfo");
        return null;
    }

    @Override
    public CommonResult<List<GetAppealDeptDTO>> getAppealDept(@Valid GetAppealDeptVo getAppealDeptVo) {
        log.error("【hystrix】调用{}异常", "getAppealDept");
        return null;
    }

    @Override
    public CommonResult<List<GetAppealModeDTO>> getAppealMode(GetAppealModeVo getAppealModeVo) {
        log.error("【hystrix】调用{}异常", "getAppealMode");
        return null;
    }
}
